summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-09-21 06:01:51 -0400
committer Robby Workman <rworkman@slackbuilds.org>2010-09-21 22:09:44 -0500
commit7590d1c99cca00e64d6f0d055efa70fe0c087134 (patch)
tree2888fb57694a267cdb3fa7821516d563906bd9ea
parentc4a34a56b3f3329fdfc9c18a40c6e602d14cd329 (diff)
downloadslackbuilds-7590d1c99cca00e64d6f0d055efa70fe0c087134.tar.gz
slackbuilds-7590d1c99cca00e64d6f0d055efa70fe0c087134.tar.xz
libraries/perl-extutils-depends: Updated for version 0.302.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/perl-extutils-depends/perl-extutils-depends.SlackBuild16
-rw-r--r--libraries/perl-extutils-depends/perl-extutils-depends.info14
-rw-r--r--libraries/perl-extutils-depends/slack-desc28
3 files changed, 27 insertions, 31 deletions
diff --git a/libraries/perl-extutils-depends/perl-extutils-depends.SlackBuild b/libraries/perl-extutils-depends/perl-extutils-depends.SlackBuild
index 0a8a9cfc84..3c0ec0587e 100644
--- a/libraries/perl-extutils-depends/perl-extutils-depends.SlackBuild
+++ b/libraries/perl-extutils-depends/perl-extutils-depends.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for perl-extutils-depends
# (C) 2007 Michael Wagner <lapinours@web.de>
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +24,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-extutils-depends
-SRCNAM=ExtUtils-Depends
-VERSION=0.205
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.302}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
+SRCNAM=ExtUtils-Depends
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -62,10 +62,7 @@ mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
gzip -9 $PKG/usr/man/man3/* 2> /dev/null
# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-) || exit 1
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
@@ -73,7 +70,6 @@ find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/perl-extutils-depends/perl-extutils-depends.info b/libraries/perl-extutils-depends/perl-extutils-depends.info
index 76be3d4707..6eb2961fa6 100644
--- a/libraries/perl-extutils-depends/perl-extutils-depends.info
+++ b/libraries/perl-extutils-depends/perl-extutils-depends.info
@@ -1,10 +1,10 @@
PRGNAM="perl-extutils-depends"
-VERSION="0.205"
-HOMEPAGE="http://gtk2-perl.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/gtk2-perl/ExtUtils-Depends-0.205.tar.gz"
-MD5SUM="02c22a93ec9efb8e457764114ce24eb4"
+VERSION="0.302"
+HOMEPAGE="http://search.cpan.org/dist/ExtUtils-Depends/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/ExtUtils-Depends-0.302.tar.gz"
+MD5SUM="db46426f0599668da95c21b53b532508"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Michael Wagner"
-EMAIL="lapinours@web.de"
-APPROVED="rworkman"
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/libraries/perl-extutils-depends/slack-desc b/libraries/perl-extutils-depends/slack-desc
index 16a8998b15..be98ca91bb 100644
--- a/libraries/perl-extutils-depends/slack-desc
+++ b/libraries/perl-extutils-depends/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler--------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
perl-extutils-depends: ExtUtils::Depends (perl module)
-perl-extutils-depends:
-perl-extutils-depends: This module tries to make it easy to build Perl
-perl-extutils-depends: extensions that use functions and typemaps provided
-perl-extutils-depends: by other perl extensions. This means that a perl
-perl-extutils-depends: extension is treated like a shared library that
-perl-extutils-depends: provides a C and an XS interface besides the perl one.
-perl-extutils-depends:
-perl-extutils-depends: Homepage: http://gtk2-perl.sourceforge.net/
-perl-extutils-depends:
-perl-extutils-depends:
+perl-extutils-depends:
+perl-extutils-depends: This module tries to make it easy to build Perl extensions that use
+perl-extutils-depends: functions and typemaps provided by other perl extensions. This means
+perl-extutils-depends: that a perl extension is treated like a shared library that provides a
+perl-extutils-depends: C and an XS interface besides the perl one.
+perl-extutils-depends:
+perl-extutils-depends: Homepage: http://search.cpan.org/dist/ExtUtils-Depends/
+perl-extutils-depends:
+perl-extutils-depends:
+perl-extutils-depends: